<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     9.9.9.9
 */

if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}

get_header('shop');

/**
 * Hook: woocommerce_page_builder_before_main_content.
 *
 * @hooked ... (outputs opening divs for the content)
 */
do_action( 'woocommerce_page_builder_before_main_content' );

$tag = 'div';
$container = 'container';
$theme = wc_get_theme_slug_for_templates();
if( $theme == 'genesis' ){
	$tag = 'main';
	$container = 'content';
}
?>

	<<?php echo esc_attr($tag); ?> class="dtwpb-woocommerce-single-product <?php echo esc_attr($container); ?>">

		<?php while (have_posts()): the_post();?>

			<?php wc_get_template_part('content', 'single-product');?>

		<?php endwhile; // end of the loop. ?>

	</<?php echo esc_attr($tag); ?>>

<?php
/**
 * Hook: woocommerce_page_builder_after_main_content.
 *
 * @hooked ... (outputs closing divs for the content)
 */
do_action( 'woocommerce_page_builder_after_main_content' );

get_footer('shop');

/* Omit closing PHP tag at the end of PHP files to avoid "headers already sent" issues. */
